Support » Plugin: MultilingualPress » Not compatible with Gutenberg which makes my site buggy now

  • Sorry guys, I used to really like this plugin but for a long time now version 2 (yes, the free one) has not been compatible with Gutenberg. I was hoping for the updates but keeping the old editing console is starting to mess with my other plugins.

    An the paid version is clearly too expansive.

    I need to find an alternative now. Any idea?

  • You must be logged in to reply to this review.